#ifndef CSMSMASTERCTRLINTERFACE_H
#define CSMSMASTERCTRLINTERFACE_H

#include "MasterCtrlInterface.h"


class CSystemGui;
class CSMSClient;

class CSMSMasterCtrlInterface: public CMasterCtrlInterface//CNetworkProtocol
{
    Q_OBJECT
public:

    CSMSMasterCtrlInterface(CSMSClient *ProgramHandle);
    ~CSMSMasterCtrlInterface();

    CSMSClient *mProgramHandle;


    virtual int DeviceFrameReceived(int TargetDeviceID, int TargetDeviceAddress, int SenderID, int SenderAddress, int MessageID, int DataSize, QByteArray Data);
    virtual int DeviceConnectedToMaster(bool Connected);

    void SendSMS(CSMSMessage Message);

};

#endif // CSMSMasterCtrlInterface_H
